Bug 732985 - Setup RHEVM URL from Aeolus GUI (Provider) instead of having to define a system env variable (API_PROVIDER)
Summary: Setup RHEVM URL from Aeolus GUI (Provider) instead of having to define a syst...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: CloudForms Cloud Engine
Classification: Retired
Component: aeolus-conductor
Version: 0.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
Assignee: Richard Su
QA Contact: Aziza Karol
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-24 11:37 UTC by noel.rocher
Modified: 2012-05-15 21:52 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-05-15 21:52:36 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2012:0583 normal SHIPPED_LIVE new packages: aeolus-conductor 2012-05-15 22:31:59 UTC

Description noel.rocher 2011-08-24 11:37:28 UTC
When defining a RHEVM provider, there's no way to provide the URL to access the REST API out of defining a system ENV variable. 
1) - This seems not user friendly and at the opposite of the goal of this tool
2) - What if we have several RHEVM server ?

Comment 1 Richard Su 2011-09-14 22:31:21 UTC
Fixed on:
aeolus-configure-2.0.2-4.20110914145605git811b13e.fc15.noarch
aeolus-conductor-0.4.0-0.20110914191507git6354644.fc15.noarch
aeolus-conductor-devel-0.4.0-0.20110914191507git6354644.fc15.noarch
aeolus-all-0.4.0-0.20110914191507git6354644.fc15.noarch
aeolus-conductor-doc-0.4.0-0.20110914191507git6354644.fc15.noarch
aeolus-conductor-daemons-0.4.0-0.20110914191507git6354644.fc15.noarch
deltacloud-core-0.4.0-2.1316007302git.noarch

Comment 2 wes hayutin 2011-09-20 14:00:44 UTC
Aziza please verify these bugs.. Thank you!

Comment 3 Aziza Karol 2011-09-21 11:51:51 UTC
To Setup RHEVM URL from Aeolus GUI(provider), X-Deltacloud-Provider field has been added in the UI.

X-Deltacloud-Provider is the exactly same thing as --provider or API_PROVIDER.

When you try to add a new provider,X-Deltacloud-Provider is available by which you can setup RHEVM URL.

verified on:
[root@dell-pe1950-03 ~]# rpm -qa| grep aeolus
rubygem-aeolus-image-0.1.0-3.20110919115936gitd1d24b4.fc15.noarch
aeolus-conductor-0.4.0-0.20110919181505git369190d.fc15.noarch
aeolus-conductor-daemons-0.4.0-0.20110919181505git369190d.fc15.noarch
aeolus-configure-2.0.2-4.20110916125556git5a94390.fc15.noarch
aeolus-conductor-doc-0.4.0-0.20110919181505git369190d.fc15.noarch
aeolus-all-0.4.0-0.20110919181505git369190d.fc15.noarch

Comment 6 errata-xmlrpc 2012-05-15 21:52:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2012-0583.html


Note You need to log in before you can comment on or make changes to this bug.